Visit Profile
curl --request POST \
--url https://api.linkupapi.com/v1/profile/visit \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"linkedin_url": "<string>",
"country": "<string>",
"login_token": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/profile/visit"
payload = {
"linkedin_url": "<string>",
"country": "<string>",
"login_token": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({linkedin_url: '<string>', country: '<string>', login_token: '<string>'})
};
fetch('https://api.linkupapi.com/v1/profile/visit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Profile visited successfully"
}
{
"status": "error",
"message": "Failed to visit profile: Invalid LinkedIn URL"
}
Profile Management
Visit Profile
Visit a LinkedIn profile to appear in their profile viewers
POST
/
v1
/
profile
/
visit
Visit Profile
Visit any LinkedIn profile to register your view in their profile viewers list. This simulates a genuine profile visit.
This endpoint costs 1 credit per request. Ignore this if you’re on per-seat pricing: usage is unlimited.
Header Parameters
string
required
Your API key
Body Parameters
string
required
URL of the LinkedIn profile to visit
string
default:"FR"
Country code for proxy selection. Available: (US, UK, FR, DE, NL, IT, IL, CA, BR, ES, IN)
string
required
LinkedIn authentication cookie obtained from the login/verify process
Response
string
Request status (success/error)
string
Descriptive message about the operation result
{
"status": "success",
"message": "Profile visited successfully"
}
{
"status": "error",
"message": "Failed to visit profile: Invalid LinkedIn URL"
}
Notes
- The visit is performed using the authenticated account associated with the
login_token - Visiting a profile does not extract or return any data from the profile
- The operation may take a few seconds to complete as it simulates a real profile view
Was this page helpful?